/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/*---INDICE---
0-Variables generales
1-Titulos
2-Textos
3-Botones
4-Header
5-Footer
6-Distancias
7-Secciones
*/

/* 0-VARIABLES GENERALES*/
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

:root {
  --color-marron: #26150F !important;
  --color-marron-claro: #26150f7b !important;
  --color-blanco: #FFFFFF !important; 
}


/* 1-TITULOS*/
    h1,h2,h3,h4,h5,h6,p,a{
        font-family: "DM Sans", sans-serif !important;
        color: var(--color-marron) !important;
        letter-spacing: 0 !important ;
    }
/* 2-TEXTOS*/



/* 3-BOTONES*/


/* 4-HEADER*/
    .abp-app-menu p{
        font-size: 16px !important;
        font-weight: 400 !important;
        color: var(--color-marron) !important;
        text-transform: uppercase !important;
    }
    a.elementor-item:hover{
        color: var(--color-blanco) !important;
        background: linear-gradient(90deg, #CBAA6A 0%, #A4A275 15%, #9B533A 50%, #26150F 100%)!important;
        border-radius:  15px !important;
    }
    a.elementor-item.elementor-item-active{
        color: var(--color-blanco) !important;
        background: linear-gradient(90deg, #CBAA6A 0%, #A4A275 15%, #9B533A 50%, #26150F 100%)!important;
        border-radius:  15px !important;
    }
/*HEADER PRODUCTOS*/
    .cart .button {
        font-weight: 400;
        text-transform: uppercase;
        border-style: none;
        border-radius: 15px 15px 15px 15px;
        padding: 0px 0px 0px 0px;
        color: var(--color-blanco) !important;
        background: linear-gradient(90deg, #CBAA6A 0%, #A4A275 15%, #9B533A 50%, #26150F 100%)!important;
        transition: all 0.2s;
    }
    .abp-add .elementor-button-text{
        color: var(--color-blanco) !important;
        font-size: 14px !important;
        font-weight: 400 !important;
    }
/* 5-FOOTER*/

/* 6-DISTANCIAS*/
  .abp-padding{
    padding: 15px !important;
  }
  .abp-padding-lateral{
    padding: 0 15px !important;
  }
  .abp-padding-top{
    padding-top: 15px !important;
  }
  .abp-padding-top-bottom{
    padding: 15px 0 !important;
  }
/* 7-SECCIONES*/

  

     /*7.1 Página del mapa*/
    .jet-map-listing {
        border-radius: 15px !important;
    }
    .jet-map-box .jet-map-close {
        content: url('https://www.beancoffee.es/wp-content/uploads/2024/03/cruz.svg');
        margin: 9px !important;
    }
    .abp-imagen-mapa img{
        border-radius: 72.5px 106px 72.5px 90px !important;
        height: 105px !important;
        width: 105px !important;
        object-fit: cover !important;
    }
    .abp-titulo-mapa h2{
        font-size: 18px !important;
        font-weight: 400 !important;
        color: var(--color-marron) !important;
        text-transform: uppercase !important;
    }
    .abp-direccion-mapa p{
        font-size: 12px !important;
        font-weight: 400 !important;
        color: var(--color-marron) !important;
    }
    .abp-boton-mapa .elementor-button-text{
        font-size: 14px !important;
        font-weight: 400 !important;
        color: var(--color-marron) !important;
    }
    .abp-boton-mapa .elementor-button {
        border-bottom: 1px solid var(--color-marron) !important;
        border-radius: 0px !important;
    }
    .abp-boton-mapa .elementor-button-icon svg {
        width: 8px !important;
        height: 8px !important;
        margin-bottom: -2px !important;
    }
    .abp-filtro-mapa .elementor-button i{
        font-size: 8px !important;
        font-weight: 400 !important;
        color: var(--color-blanco) !important;
        text-transform: none !important;
        font-style: normal !important;
        letter-spacing: 0.4px !important;
    }

    .abp-filtro-mapa .elementor-button{
        display: inline-block;
        line-height: 1;
        background: linear-gradient(90deg, #CBAA6A 0%, #A4A275 15%, #9B533A 50%, #26150F 100%)!important;
        font-size: 12px !important;
        padding: 6px 15px !important;
        border-radius: 15px !important;
        color: var(--color-blanco) !important;
        fill: #fff;
        text-align: left !important;
        transition: all .3s;
        width: 100% !important;
        box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2) !important;
    }
    .abp-filtro-mapa .elementor-button-content-wrapper {
        justify-content: space-between !important;
    }
    .jet-smart-filters-search .jet-search-filter__input {
        width: 60vw !important;
    }
    .jet-ajax-search__field {
        font-size: 11px !important;
        padding: 9px 10px 9px 10px !important;
        border-radius: 51px 51px 51px 51px !important;
        width: 220px !important;
    }

    /*7.2 Página de tienda*/

    /*INFO TIENDA*/
    .abp-titulo-tienda h1{
        font-size: 18px !important;
        font-weight: 400 !important;
    }
    .abp-direccion-tienda .elementor-icon-list-text{
        font-size: 12px !important;
        font-weight: 400 !important;
		font-family: "DM Sans", sans-serif !important;
        line-height: auto !important;
    }
    .widget-title {
        display: none;
    }
    .dokan-store-open-close .working-day {
        font-size: 16px !important;
        text-transform: uppercase !important;
        font-family: "DM Sans", sans-serif !important;
    }
    .dokan-store-open-close .open-close-day {
        display: flex;
        justify-content: space-between;
    }
    div.store-time{
        font-size: 16px !important;
        font-family: "DM Sans", sans-serif !important;
    }
    .dialog-close-button{
        content: url('https://www.beancoffee.es/wp-content/uploads/2024/03/cruz.svg') !important;
    }
    
    .jet-list-tree__parent span.jet-checkboxes-list__decorator{
        display: none !important;
    }
    div.jet-list-tree__children{
        text-transform: none !important;
    }
    .jet-popup.jet-popup--front-mode .jet-popup__close-button {
        top: 15px !important;
        right: 5px !important;
        background-color: var(--color-blanco) !important;
        color: var(--color-marron) !important;
    }



    /*BOTON HORARIO*/
    .abp-boton-horario .elementor-button-text{
        font-size: 14px !important;
        font-weight: 400 !important;
        color: var(--color-marron) !important;
    }
    .abp-boton-horario .elementor-button {
        border-bottom: 1px solid var(--color-marron) !important;
        border-radius: 0px !important;
    }
    .abp-boton-horario .elementor-button-icon svg {
        width: 8px !important;
        height: 8px !important;
        margin-bottom: -2px !important;
    }

    /*BOTON FILTROS*/

    .abp-boton-filtro .elementor-button {
        padding-bottom: 5px !important;
        border-bottom: 1px solid var(--color-marron) !important;
        border-radius: 0px !important;
    }
    .abp-boton-filtro span{
        font-size: 9px !important;
        font-weight: 400 !important;
        color: var(--color-marron-claro) !important;
        text-transform: none !important;
        font-style: italic !important;
    }
    .abp-boton-filtro .elementor-button-text{
        font-size: 14px !important;
        font-weight: 400 !important;
        color: var(--color-marron) !important;
        text-transform: uppercase !important;
        font-style: normal !important;
    }
    .abp-boton-filtro .elementor-button-icon svg {
        margin-bottom: -2px !important;
    }

    /*Ocultar aviso y ratings*/
    li.elementor-icon-list-item:nth-child(2),li.elementor-icon-list-item:nth-child(3),li.elementor-icon-list-item:nth-child(4){
        display: none !important;
    }

    /*EDITAR PESTAÑAS*/
    .jet-tabs__label-text {
        color: var(--color-marron) !important;
        font-family: "DM Sans", sans-serif !important;
        font-weight: 400 !important;
        font-size: 14px !important;
    }
    .jet-tabs__control-inner {
        padding: 0px !important;
    }
    .jet-tabs__control-wrapper {
        width: 100% !important;
    }
    .jet-tabs__label-icon {
        font-size: 24px !important;
        padding-bottom: 5px !important;
    }
    .jet-tabs__control .jet-tabs__label-icon {
        color: var(--color-marron) !important;
    }
    .jet-tabs__control.active-tab .jet-tabs__label-icon {
        color: var(--color-marron) !important;
    }
    .jet-tabs__control.active-tab .jet-tabs__label-text{
        border-bottom: 1px solid var(--color-marron);
    }

    /*GRID PRODUCTOS*/
    .abp-imagen-grid img{
        border-radius: 15px !important;
    }
    .abp-titulo-grid h3{
        font-family: "DM Sans", sans-serif !important;
        font-weight: 400 !important;
        font-size: 18px !important;
    }
    .abp-subtitulo-grid h4{
        font-family: "DM Sans", sans-serif !important;
        font-weight: 400 !important;
        font-size: 15px !important;
    }
    .abp-precio-grid{
        font-family: "DM Sans", sans-serif !important;
        font-weight: 500 !important;
        font-size: 14px !important;
    }
    .abp-add-to .elementor-button-text{
        color: var(--color-blanco) !important;
        font-size: 25px !important;
        font-weight: 200 !important;
        margin-top: -5px !important;
        margin-bottom: -2px !important;
    }

    /*7.3 Página de producto*/
        .abp-imagen-producto img{
            height: 280px !important;
            width: 100% !important;
            object-fit: cover !important;
            object-position: center center !important;
            border-radius: 15px !important;
        }
        .abp-titulo-producto h1{
            font-size: 32px !important;
            font-weight: 400 !important;
            text-align: start !important;
        }
        .abp-origen-producto p{
            font-size: 18px !important;
            font-weight: 400 !important;
            text-align: start !important;
        }
        .abp-precio-producto p.price{
            font-size: 18px !important;
            font-weight: 400 !important;
            text-align: start !important;
            margin-bottom: 0 !important;
        }
        .abp-titulo-etiqueta h2{
            font-size: 32px !important;
            font-weight: 400 !important;
            text-align: start !important;
            line-height: 0.7 !important; 
        }
        .abp-titulo-etiqueta span{
            font-size: 18px !important;
            font-weight: 400 !important;
            text-align: start !important;
        }
        .abp-subtitulo-etiqueta h3{
            font-size: 20px !important;
            font-weight: 400 !important;
            text-align: start !important;
            text-transform: uppercase !important;
        }
        .abp-texto-etiqueta p{
            font-size: 18px !important;
            font-weight: 400 !important;
            text-align: start !important;
            padding: 5px 0 25px 0 !important;
        }
        .abp-etiqueta{
            padding: 25px 15px !important;
            background-color: #26150F15 !important;
            border-radius: 15px !important;
        }










  /*7.4 Página de carrito y finalizar compra*/
    .elementor-widget-woocommerce-cart .woocommerce table.cart tr {
        padding: 0px !important;
    }   
    td.product-name{
        font-family: "DM Sans", sans-serif !important;
    }
    dt.variation-Vendedor {
        font-family: "DM Sans", sans-serif !important;
        color: var(--color-marron) !important;
        letter-spacing: 0 !important ;
        text-transform: uppercase !important;
        font-weight: 400 !important;
        
    }
    dl.variation{
        padding-top: 10px !important;
    }
    .elementor-widget-woocommerce-cart .woocommerce .input-text.qty {
        color: var(--color-marron) !important;
        border: none !important;
        text-align: right !important;
    }
    .elementor-widget-woocommerce-cart .e-cart__container {
        grid-row-gap: 10px !important;
    }

    .elementor-widget-woocommerce-cart .woocommerce .wc-proceed-to-checkout .checkout-button {
        padding: var(--checkout-button-padding, 10px 1em) !important;
    }
    /*7.5 Filtros*/
    .abp-titulo-filtro h3{
        font-size: 14px !important;
        font-weight: 400 !important;
        border-bottom: 1px solid var(--color-marron) !important;
    }

    /*7.6 listado de cafeterías*/
    .abp-titulo-lista h2{
        font-size: 18px !important;
        font-weight: 400 !important;
    }
    .abp-direccion-lista p{
        font-size: 14px !important;
        font-weight: 400 !important;
    }
    .abp-img-lista img{
        width: 100px !important;
        height: 100px !important;
        border-radius: 72.5px 106px 72.5px 90px !important;
    }
    .abp-boton-lista .elementor-button-text{
        font-size: 14px !important;
        font-weight: 400 !important;
        color: var(--color-marron) !important;
    }
    .abp-boton-lista .elementor-button {
        padding-bottom: 3px !important;
        border-bottom: 1px solid var(--color-marron) !important;
        border-radius: 0px !important;
    }
    .abp-boton-lista .elementor-button-icon svg {
        margin-bottom: -2px !important;
    }
    .abp-boton-lista .elementor-button-icon svg {
        width: 10px !important;
        height: 10px !important;
        margin-bottom: -2px !important;
    }
    
    /*7.7 Página de administrador*/
      /*Hacer 100% acfs cafe */
          input#tostador{
              width:100% !important;
          }
          select#origen{
              width:100% !important;
          }
          select#notas{
              width:100% !important;
          }
          input#region{
              width:100% !important;
          }
          input#variedad{
              width:100% !important;
          }
          input#perfil_de_sabores{
              width:100% !important;
          }
          select#pais_de_tueste{
              width:100% !important;
          }
          input#fecha_de_tueste{
              width:100% !important;
          }
          input#altitud{
              width:100% !important;
          }

      /*Dehabilitar menus panel admin*/
          li.reviews{
              display:none !important;
          }
          li.submenu-item.seo{
              display:none !important;
          }
          li.submenu-item.seo{
              display:none !important;
          }
          li.submenu-item.social{
              display:none !important;
          }
          li.submenu-item.verification{
              display:none !important;
          }

      /*Estilos formularios panel admin*/

      /*Quitar linked products*/
          .dokan-linked-product-options{
              display:none !important;
          }

      /*Quitar pasos panel admin*/
          .dokan-profile-completeness{
              display:none !important;
          }
      
      /*Quitar banner*/
          .dokan-settings-content .dokan-settings-area .dokan-banner{
              display:none !important;
          }

      /*Cambiar tipografía admin*/
          .dokan-form-horizontal .dokan-control-label {
              text-align: right;
              margin-bottom: 0;
              margin-top: 0;
              padding-right: 15px;
              font-weight: 500 !important;
              font-family: 'Spartan',sans-serif !important;
          }
      
      /*Quitar numero porductos por tienda
          #store-form > div:nth-child(6) > label{
              display:none !important;
          }
          #dokan_store_ppp{
              display:none !important;
          }
      */
      /*Quitar mostar correo
          #store-form > div:nth-child(16){
              display:none !important;
          }
      */
      /*Quitar biografia
          #store-form > div:nth-child(22){
              display:none !important;
          }
          */
      /*Quitar más productos
          #store-form > div:nth-child(17){
              display:none !important;
          }
  */

    /* 7.8 Pagina de mi cuenta */

    .woocommerce form.checkout_coupon, .woocommerce form.login, .woocommerce form.register {
        border: 0px !important;
        padding: 0px !important;
        margin: 0 !important;
        text-align: left;
        border-radius: 0px !important;
    }

    .woocommerce h2{
        display: none !important;    
    }
    .woocommerce label{
        color: var(--color-marron) !important;
        font-family: "DM Sans", sans-serif !important;
        font-weight: 400 !important;
        font-size: 14px !important;
    }


    .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button{
        font-size: 16px !important;
        padding: 3px 10px !important;
        font-weight: 400 !important; 
        border-radius: 0px !important;
        color: var(--color-marron) !important;
        border-bottom: 1px solid var(--color-marron) !important;
    }
    .elementor-widget-woocommerce-cart .woocommerce .wc-proceed-to-checkout .checkout-button {
        border-radius: 15px !important;
    }
    .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce .login .button, .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce .register .button, .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce .woocommerce-ResetPassword .button {
        background: #fff !important;
        border: 1px solid var(--color-marron) !important;
        color: var(--color-marron) !important;
        border-radius: 12px !important;
    }
    .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce .form-row .input-text, .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce .form-row select {
        color: var(--forms-fields-normal-color, #69727d);
        border-radius: var(--forms-fields-border-radius, 0);
        padding: var(--forms-fields-padding, 16px);
        background: #f9fafa;
        border: 1px solid var(--color-marron) !important;
        font-size: 14px;
    }
    input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="tel"], input[type="number"], textarea, select {
        color: var(--color-marron) !important;
        background-color: var(--color-blanco) !important;
        border-color: var(--color-marron) !important;
        border-radius: 15px !important;
        
    }
/* 8-RESPONSIVE*/


@media (min-width: 320px) {
  #m-tabs .elementor-tabs-wrapper {
    display: flex;
        flex-direction: row;
  }
}
@media (min-width: 320px) {
  #m-tabs .elementor-tab-mobile-title {
    display: none;
  }
}







/*CODIGO A ORGANIZAR*/


ul.elementor-icon-list-items{
list-style:none !important;
margin:0 !important
}
span.elementor-icon-list-icon{
display:none !important;
}
.abp-grid-products .star-rating{
display:none !important
}
.abp-grid-products .price{
display:none !important
}










/*Hacer imagen producto al 100%
.product-edit-container .dokan-feat-image-upload {
border: 4px dashed #dddddd;
height: 100% !important;
margin-bottom: 20px;
overflow: hidden;
position: relative;
}
.product-edit-new-container .dokan-product-edit-form .dokan-new-product-featured-img {
max-height: 100% !important;
}


*/

/*Quitar pestañas producto individual*/
.more_seller_product_tab{
display:none !important;
}
.additional_information_tab {
display:none !important;
}
.reviews_tab{
display:none !important;
}



.elementor-298 .elementor-element.elementor-element-9c63e39 img {
    width: 59px;
    height: 19px;
    display: none;
}
